This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 89069 - Update from RH 8.0 to RH 9 destroys some cups config files
Update from RH 8.0 to RH 9 destroys some cups config files
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: cups (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-17 01:09 EDT by Joachim Backes
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-24 09:32:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joachim Backes 2003-04-17 01:09:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
When updating from RH 8.0 to RH 9, the files /etc/cups/cupsd.cond and
/usr/share/cups/banners/standard are overwritten. At least, .rpmsave file should
be available with saved config.

Version-Release number of selected component (if applicable):
cups-1.1.17-13

How reproducible:
Always

Steps to Reproduce:
1.Install RH 8.0 and make your own cups configuration
2.Update to RH 9
3.
    

Actual Results:  /etc/cups/cupsd.cond and /usr/share/cups/banners/standard are
overwritten

Expected Results:  /etc/cups/cupsd.cond and /usr/share/cups/banners/standard are
not overwritten

Additional info:

--
Comment 1 Joachim Backes 2003-04-23 07:30:11 EDT
I mean /etc/cups/cupsd.conf and not /etc/cups/cupsd.cond.
Comment 2 Tim Waugh 2003-04-24 09:32:22 EDT
cupsd.conf is already marked as a config file and so is saved; however some
parameters will be modified at boot if you have redhat-config-printer installed.

The banners weren't marked as config files, and they probably should be.  Fixed
package will be cups-1.1.18-5.

Note You need to log in before you can comment on or make changes to this bug.